# Class InterceptorPayload

java.lang.Object
org.apache.catalina.tribes.group.InterceptorPayload

public class InterceptorPayload extends Object
Payload object used to pass an `ErrorHandler` to interceptors.

## Constructor Summary

Constructors
Constructor
Description
`InterceptorPayload()`
Constructs a new InterceptorPayload.

## Method Summary

Modifier and Type
Method
Description
`ErrorHandler`
`getErrorHandler()`
Get the error handler.
`void`
`setErrorHandler(ErrorHandler errorHandler)`
Set the error handler.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterceptorPayload

public InterceptorPayload()
Constructs a new InterceptorPayload.

## Method Details

### getErrorHandler

public ErrorHandler getErrorHandler()
Get the error handler.

Returns:
  the error handler

### setErrorHandler

public void setErrorHandler(ErrorHandler errorHandler)
Set the error handler.

Parameters:
  `errorHandler` - the error handler to set